# 全屏手势处理

这里主要针对`FDFullscreenPopGesture`示例处理，其他同类手势即可按照此方法处理。

## 准备

- `JXCategoryView`版本需要 **1.3.4** 版本及以上;

## `JXCategoryCollectionView`处理

- 遵从`JXCategoryCollectionViewGestureDelegate`协议

```Objective-C
self.categoryView.collectionView.gestureDelegate = self
```

- 实现相关代理方法

```Objective-C
- (BOOL)categoryCollectionView:(JXCategoryCollectionView *)collectionView gestureRecognizer:(UIGestureRecognizer *)gestureRecognizer shouldRecognizeSimultaneouslyWithGestureRecognizer:(UIGestureRecognizer *)otherGestureRecognizer {
    if (collectionView.contentOffset.x <= 0) {
        if ([otherGestureRecognizer.delegate isKindOfClass:NSClassFromString(@"_FDFullscreenPopGestureRecognizerDelegate")]) {
            return YES;
        }
    }
    return NO;
}
``` 

## `JXCategoryListContainerView`处理

- 遵从`JXCategoryListContainerViewDelegate`协议

- 实现相关代理方法

```Objective-C
- (UIScrollView *)scrollViewInlistContainerView:(JXCategoryListContainerView *)listContainerView {
    //返回一个继承自`UIScrollView`的自定义类，然后自己在自定义类内部，处理手势。
    return customScrollView;
}
``` 